/*
	gl_poly.h

	Interface to the OpenGL poly list renderer

	Copyright (C) 2000       Joseph Carter <knghtbrd@debian.org>

	Author: Joseph Carter <knghtbrd@debian.org>
	Date: 15 Jun 2000

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA

	$Id$
*/

#ifndef __GL_POLY_H
#define __GL_POLY_H

//
// Depth polys
//

#define MAX_DEPTHPOLYS 8192
#define MAX_DEPTHVERTS (MAX_DEPTHPOLYS*4)

typedef struct
{
        vec3_t	v;
} depthvert_t;

typedef struct
{
	unsigned short firstvert;
	unsigned short verts;
} depthpoly_t;
			
extern depthvert_t *depthvert;
extern depthpoly_t *depthpoly;
extern unsigned short currentdepthpoly;
extern unsigned short currentdepthvert;

void Poly_ClearDepthPolys (void);
void Poly_BeginDepthPoly (void);
void Poly_EndDepthPoly (void);
void Poly_DepthPolyVert (vec3_t v);
void Poly_RenderDepthPolys (void);

//
// Poly list housekeeping
//

void Poly_Init (void);
void Poly_Shutdown (void);

#endif // __GL_POLY_H
